Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle
[Java] Class BuildResult

    java.lang.Object
      org.gradle.BuildResult

    public class BuildResult

A `BuildResult` packages up the results of a build executed by a GradleLauncher instance.

Constructor Summary
`BuildResult(Gradle gradle, Throwable failure)`

Method Summary
`Throwable` | `getFailure()`
`Gradle` | `getGradle()`
`BuildResult` | `rethrowFailure()`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### BuildResult

    public BuildResult(Gradle gradle, Throwable failure)

Method Detail

### getFailure

    public Throwable getFailure()

### getGradle

    public Gradle getGradle()

### rethrowFailure

    public BuildResult rethrowFailure()

  Rethrows the build failure. Does nothing if there was no build failure.

Gradle API 1.10